<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

<!-- A basic XSL stylesheet for MiniDict -->
<!-- Christopher Manning December 2003 -->

<xsl:output method="html" version="3.2"/>

<xsl:template match="/" xml:space="default">
<HTML>
<HEAD>
<TITLE>
<xsl:text>MiniDict Word List</xsl:text>
</TITLE>
</HEAD>
<BODY BGCOLOR="white" LINK="blue" VLINK="red">
<xsl:apply-templates select="DICTIONARY/ENTRY"/>
</BODY>
</HTML>
</xsl:template>

<xsl:template match="ENTRY">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="HW">
  <H1><xsl:apply-templates/></H1>
</xsl:template>

<xsl:template match="SEM">
  <p><font color="gray" size="-1">[<xsl:apply-templates/>]</font></p>
</xsl:template>

<xsl:template match="DOMAIN">
  <xsl:apply-templates/>
</xsl:template>

<xsl:template match="UNIQ"/>

<xsl:template match="DEFN">
  <p><i>Meaning: </i><xsl:apply-templates/></p>
</xsl:template>

<xsl:template match="SYNONYM">
  <p><i>Synonym: </i>
  <xsl:choose>
    <!-- USERFILE is a tag added in DictionaryCache.java when 
  	     the user is saving a file to disk - then the links to 
  	     other headwords no longer work, so don't make them. -->
    <xsl:when test="/DICTIONARY/DIR/USERFILE">
      <xsl:apply-templates/>
    </xsl:when>
    <xsl:otherwise>
       <xsl:choose>
          <xsl:when test='@UNIQ'>
            <A>
            <xsl:attribute name="HREF">@<xsl:value-of 
            select="."/>@<xsl:value-of select="@UNIQ"/>.html</xsl:attribute>
            <xsl:apply-templates/>
            </A>
          </xsl:when>
          <xsl:otherwise>
            <A>
            <xsl:attribute name="HREF">@<xsl:value-of 
                  select="."/>@.html</xsl:attribute>
            <xsl:apply-templates/>
            </A>
          </xsl:otherwise>
       </xsl:choose>
     </xsl:otherwise>
  </xsl:choose>
  </p>
</xsl:template>

</xsl:stylesheet>
